<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <h1>Hello, World!</h1>
    <div style="border: red solid 1px">
        <h2>Data</h2>
        <div th:each="entry : ${data}">
            <ul>
            <li th:each="field : ${entry}" th:text="${field}"></li>
            </ul>
            <hr>
        </div>
    </div>
    <div style="border: yellow solid 1px">
        <h2>Dimensions</h2>
        <ul>
        <li th:each="dimension : ${dimensions}" th:text="${dimension}"></li>
        </ul>
    </div>
    <div style="border: green solid 1px">
        <h2>Measures</h2>
        <ul>
        <li th:each="measure : ${measures}" th:text="${measure}"></li>
        </ul>
    </div>
</body>
</html>